/* Override jQuery UI styles */
.menubar {}
.menubar > ul {
    border: 1px solid #01b1af;
    background: #01b1af url(jquery-ui/images/ui-bg_glass_55_01b1af_1x400.png) 50% 50% repeat-x;
    color: #ffffff;
    font-weight: bold;
}
.menubar  ul {
    display: block;
    list-style: none;
    margin: 0;
    padding: 0;
}
.menubar > ul > li {
    display: inline-block;
    line-height: 1.4;
    color: #ffffff;
    font-weight: bold;
    padding: .4em 1em;
    position: relative;
}
.menubar > ul > li > a {
    color: white;
}
.menubar > ul > li > ul {
    display: none;
    width: 200px;
    position: absolute;
    top: 28px;
    left: 0;
    z-index: 9999;
    border: 1px solid #a6c9e2;
    background: #fcfdfd url(jquery-ui/images/ui-bg_inset-hard_100_fcfdfd_1x100.png) 50% bottom repeat-x;
    color: #222222;
    border-radius: 5px;
}
.menubar > ul > li:hover > ul {
    display: block;
}
.menubar > ul li a {
    text-decoration: none;
    cursor: pointer;
    text-align: center;
    zoom: 1;
    overflow: visible;
}
.menubar > ul > li.current,
.menubar > ul > li:hover,
.menubar > ul > li.current_ancestor {
    background: #f5f8f9 url(jquery-ui/images/ui-bg_inset-hard_100_f5f8f9_1x100.png) 50% 50% repeat-x;
}
.menubar > ul > li.current > a,
.menubar > ul > li:hover > a,
.menubar > ul > li.current_ancestor > a {
    color: #e09d00;
}
.menubar > ul > li > ul > li {
    border: 1px solid white;
    border-radius: 5px;
}
.menubar > ul > li > ul > li > a {
    border: 1px solid transparent;
    border-radius: 5px;
    color: #6f78bf;
    text-decoration: none;
    display: block;
    padding: 2px .4em;
    line-height: 1.5;
    zoom: 1;
    font-weight: normal;
    text-align: left;
}
.menubar > ul > li > ul > li.current > a,
.menubar > ul > li > ul > li:hover > a {
    border: 1px solid #9da3d2;
    color: #26318a;
    background: #adb6ff url(jquery-ui/images/ui-bg_glass_75_adb6ff_1x400.png) 50% 50% repeat-x;
}

.ui-widget, .ui-widget input, .ui-widget select, .ui-widget textarea, .ui-widget button { font-family: 'Droid sans', sans-serif; font-size: 13px; }
.ui-widget .ui-state-error span { float: left; }
.ui-widget .ui-state-error p { margin: .5em .2em; }
.ui-menu { z-index: 100; }
.ui-menu .ui-menu-item a { color: #6f78bf; }
.ui-menu .ui-menu-item a:hover { color: #27328a; }
.ui-button-text-icon-primary .ui-button-text, .ui-button-text-icons .ui-button-text {
    padding: .4em 1em .4em 30px;
}
.ui-button-text-icon-secondary .ui-button-text, .ui-button-text-icons .ui-button-text {
    padding: .4em 2.1em .4em 30px;
}
.helpbutton {
    float: right;
    height: 1em;
    width: 16px;
    cursor: pointer;
}

#membersmenu ul { padding: 0; margin: 0 0 10px 0; }
#membersmenu ul li { list-style-type: none; display: inline; margin-right: 10px; }
#membersmenu ul li a { background: #01B1AF url(jquery-ui/images/ui-bg_glass_55_01b1af_1x400.png) 50% 50% repeat-x; color: white; }
#membersmenu ul li a .ui-icon { background-image: url(jquery-ui/images/ui-icons_d8e7f3_256x240.png); }
#membersmenu ul li.current a { background: #f5f8f9 url(jquery-ui/images/ui-bg_inset-hard_100_f5f8f9_1x100.png) 50% 50% repeat-x; color: #26318A; }
#membersmenu ul li.current a .ui-icon { background-image: url(jquery-ui/images/ui-icons_1d5987_256x240.png); }
#membersmenu ul li a:hover { background: #ADB6FF url(jquery-ui/images/ui-bg_glass_75_adb6ff_1x400.png) 50% 50% repeat-x; color: #26318A; }
#membersmenu ul li a:hover .ui-icon { background-image: url(jquery-ui/images/ui-icons_1d5987_256x240.png); }

.contextmenu-wrapper {
    position: relative;
    float: left;
    height: 36px;
}

.contextmenu-wrapper button {
    margin-right: 5px;
}

.contextmenu-wrapper ul {
    min-width: 200px;
    position: absolute;
}

.contextmenu-wrapper ul li {
    padding: 2px;
}

.contextmenu-wrapper ul li a {
    display: block;
    text-decoration: none;
    border-radius: 5px;
}

#current_user {
    position: absolute;
    right: 10px;
    top: 10px;
    margin-top: 0;
}

#current_user div {
    text-align: right;
}

#logo img {
    margin-bottom: 10px;
}

#version {
    position: absolute;
    top: 92px;
    right: 15px;
    color: white;
}

#version a {
    color: white;
    text-decoration: none;
}

#version a:hover {
    text-decoration: underline;
}

#accesslevel {
    position: absolute;
    top: 64px;
    left: 84px;
    color: #27328C;
    font-size: 10px;
}

.button {
    margin-top: 10px;
}

table .button {
    margin-top: 0;
}

.clearfix {
    margin-bottom: 10px;
}

div#main {
    margin: 15px 15px 10px 15px;
}

.dashboard_box ul {
    width: 290px;
    margin: 0;
    padding: 0;
}
.dashboard_box ul.dashboard_more {
    width: 340px;
}

.dashboard_box ul li {
    position: relative;
    list-style-type: none;
    padding-left: 20px;
    background: transparent url(../img/icon.png) no-repeat;
    line-height: 20px;
}
.dashboard_box ul li span {
    display: inline-block;
    width: 230px;
}
.dashboard_box .helpbutton {
    display: none;
}
.dashboard_box .error a {
    font-weight: bold;
    color: red;
}
.dashboard_box .error .helpbutton {
    display: block;
    position: absolute;
    right: -15px;
    top: 0;
}

.form_row {
    line-height: 2em;
    clear: both;
}

.field_row {
    clear: both;
}

.form_row label, .field_row .label {
    line-height: 2em;
    padding: 1px 3px;
    min-width: 140px;
    display: block;
    float: left;
    line-height: 1.5em;
    font-weight: bold;
}

.form_row.missing input, .form_row.missing select {
    border: 1px solid red;
}

.form_row.missing label, .form_row.missing label {
    color: red;
}

#search-form .form_row label {
    font-weight: normal;
    color: #666;
}

#search-form .form_row.selected label {
    font-weight: bold;
    color: #222;
}

.field_row .value {
    border: 1px solid #eee;
    cursor: default;
    float: left;
    padding: 1px 3px;
    margin: 2px 0;
    min-height: 1.2em;
    min-width: 120px;
}

.form_row select {
    background: transparent;
}

h2 {
    clear: both;
}

body.login .ui-widget-overlay { background: transparent }

#login_form input[type="text"], #login_form input[type="password"] {
    width: 186px;
}

.form_row input[type="checkbox"], .form_row input[type="radio"] {
    height: 1.5em;
}

.form_row textarea { margin-bottom: 5px; }

input[type="text"], input[type="password"], input[type="email"], input[type="url"], input[type="number"], select, textarea {
    border: 1px solid #aaa;
    background-color: #fff;
    background-image: -webkit-gradient(linear, left bottom, left top, color-stop(0.85, white), color-stop(0.99, #eeeeee));
    background-image: -webkit-linear-gradient(center bottom, white 85%, #eeeeee 99%);
    background-image: -moz-linear-gradient(center bottom, white 85%, #eeeeee 99%);
    background-image: -o-linear-gradient(bottom, white 85%, #eeeeee 99%);
    background-image: -ms-linear-gradient(top, #ffffff 85%,#eeeeee 99%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#eeeeee',GradientType=0 );
    background-image: linear-gradient(top, #ffffff 85%,#eeeeee 99%);
}

#query-fields-table .chzn-container, #query-fields-table .chzn-drop {
    width: 380px !important;
}

input[type="text"], input[type="password"], input[type="email"], input[type="number"] {
    padding: 1px 3px;
}

.choices .form_row input[type="checkbox"] {
    float: left;
    clear: left;
    margin-right: 5px;
}

.ui-inlinewindow {
    margin-bottom: 2em;
}

.ui-infobox { margin: 1em 0 1em 0 }
.ui-infobox .content { margin: .5em 1em .5em 1.5em }
.ui-infobox .ui-icon { margin-top: .5em }

#loading {
    z-index: 10000;
    position: fixed;
    background-color: white;
    opacity: 1;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    height: 100%;
    width: 100%;
}

#loading img {
    margin: auto;
    position: absolute;
    display: block;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
}

/* User Form */
#lgs_bundle_userbundle_usertype_roles input[type="checkbox"] {
    float: left;
    margin-right: 5px;
}

/* Assignments editor */
.assignments_editor ul {
    display: block;
    float: left;
    border: 1px solid #ccc;
    height: 6.6em;
    width: 40%;
    overflow-y: scroll;
    overflow-x: hidden;
    padding: 0;
    margin: 0;
    background-color: white;
}

.assignments_editor ul li {
    line-height: 1em;
}

.assignments_editor ul li a {
    display: block;
    color: black;
    text-decoration: none;
    padding: .2em;
}

.assignments_editor ul li a:hover {
    background: #c5cbfe;
}

.assignments_editor ul li.active a {
    background: #d3d3d3;
}

.assignments_editor ul { display: none; }
.assignments_editor ul.level1, .assignments_editor ul.alwaysvisible { display: block !important; }

#assignments-table tr.closed td, #groups-table tr.closed td { color: #999 }
#assignments-table tbody tr td:nth-child(4), #assignments-table tbody tr td:nth-child(5),
#assignments-editor-table tbody tr td:nth-child(2), #assignments-editor-table tbody tr td:nth-child(3) { white-space: nowrap; width: 140px; }
#assignments-table tbody tr td:last-child,
#assignments-editor-table tbody tr td:last-child { white-space: nowrap; width: 230px; }
#assignments-table_wrapper .ui-corner-bl, #assignments-editor-table_wrapper .ui-corner-tl { padding: 0 }
#assignments-editor-table_wrapper thead { display: none }

.sorting_1 a { color: #07b2b0; text-decoration: none; }
.sorting_1 a:hover { color: #07b2b0; text-decoration: underline; }

/* Table highlighting */
#nominations-table tr.expired td { color: red }
#users-table tr.disabled td { color: #999 }
#users-table tr.no_member td { color: #26318a }
#users-table td .valid, #user_form .valid { color: #007000 }
#users-table td .invalid, #user_form .invalid { color: #cc0000 }
#groups-table .error, #status-table .error { font-weight: bold; color: red }

#search-form .columns {
    -webkit-column-count: 2;
    -moz-column-count: 2;
    column-count: 2;
    -webkit-column-gap: 5px;
    -moz-column-gap: 5px;
    column-gap: 5px;
}

#search-form .form_row label {
    min-width: 180px;
}

.next_member {
    position: fixed;
    right: 15px;
    bottom: 15px;
    z-index: 100;
}

.prev_member {
    position: fixed;
    left: 15px;
    bottom: 15px;
    z-index: 100;
}

.ui-corner-top .incorrect_address { color :red !important }

.select_all, .select_none {
    border: 1px solid #AAA;
    margin: 0 2px 0 0;
    padding: 0 2px;
    position: relative;
    left: -32px;
    top: -2px;
    border-radius: 5px 5px 0 0;
    opacity: 0.6;
}

.select_all {
    background-color: #333;
    color: #333;
}

.select_none {
    background-color: white;
    color: white;
}

.select_all:hover, .select_none:hover {
    opacity: 1
}

footer {
    margin-bottom: 50px;
}

footer .tag {
    color: #aaa;
    font-size: 0.8em;
    text-align: right;
    padding: 10px 20px;
}
